Package org.apache.cxf.attachment

# Class ContentDisposition

java.lang.Object
org.apache.cxf.attachment.ContentDisposition

public class ContentDisposition extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentDisposition(String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilename()`
  `String`
  `getParameter(String name)`
  `Map<String,String>`
  `getParameters()`
  `String`
  `getType()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContentDisposition

    public ContentDisposition(String value)

- ## Method Details

  - ### getType

    public String getType()

  - ### getFilename

    public String getFilename()

  - ### getParameter

    public String getParameter(String name)

  - ### getParameters

    public Map<String,String> getParameters()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`